View Issue Details

IDProjectCategoryView StatusLast Update
0022180mantisbtmarkdownpublic2020-05-24 05:13
Reporterdregad Assigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status newResolutionopen 
Product Version2.1.0 
Summary0022180: Markdown issues following implementation in #17920
Description

This is a parent issue to regroup various issues with Markdown rendering, that must be fixed prior to release (hence setting severity to major, so it shows on the blockers list)

TagsNo tags attached.

Relationships

parent of 0022164 closedjoel Font for quoted string in markdown is too large 
parent of 0022167 confirmedjoel Markdown: poor handling of legacy multi-level quoted text 
parent of 0022179 closedjoel Markdown is eating apostrophe / single quote 
parent of 0022175 closedjoel Markdown converting '<' within backticks to & lt; 
parent of 0022172 closedjoel Markdown not displaying single line breaks 
parent of 0022181 assignedjoel Markdown different rendering between inline code (single backtick) and ``` blocks 
parent of 0022190 assignedjoel Markdown markup should be done with CSS classes, not inline styles 
parent of 0022204 closedvboctor News headlines are parsed with markdown, though they should not be 
parent of 0022231 assignedjoel Fix unit tests for markdown 
parent of 0022242 closeddregad Markdown converting '&' within links to '&' 
parent of 0022246 closedjoel Markdown is converting '&' signs to (ampersand[amp;]) inside code block or backtick as well 
parent of 0022344 confirmedjoel Markdown mismatches code start/end 
parent of 0022333 closedjoel Markdown starts heading in the middle of a line 
parent of 0022315 assignedjoel Markdown converts " to " within code blocks and inline code 
parent of 0022320 assignedjoel Don't expand issue ids into URLs within code blocks 
parent of 0022485 assignedjoel Increase spacing before ``` blocks 
parent of 0024241 assigneddregad $g_html_valid_tags are not rendered if Markdown is enabled 
parent of 0024628 assigneddregad Double quotes " and lesser than sign < are shown as HTML entity within Markdown code blocks 
related to 0017920 closedjoel Native markdown support 
related to 0022428 closedvboctor CSV and Excel exports with markdown on 
Not all the children of this issue are yet resolved or closed.

Activities

vboctor

vboctor

2017-01-12 12:02

manager   ~0055085

The markdown feature is OFF by default. I don't see any markdown fixes as blocking. We can mention in the announcement that the markdown support is experimental and off by default. It is good to get more people playing it with and providing feedback.

dregad

dregad

2017-01-12 12:26

developer   ~0055087

OK, I forgot it was off by default. Feel free to lower severity then.

vboctor

vboctor

2017-01-14 13:20

manager   ~0055122

@dregad, can we delete this issue in favor of "markdown" category and severities on such issues? We can't resolve it since it has child issues that are not resolved.

dregad

dregad

2017-01-15 19:08

developer   ~0055140

I'd rather keep it. I like having a parent issue, for the following reasons:

  • it creates clear relationships between issues
  • the fixes are logically and visually grouped in the roadmap
  • using parent/child makes it clear that all issues are related, and avoids creating links in a chaotic way

Speaking of markdown category, I'm wondering if would not have been better managed with a tag, which is more horizontal as we can have markdown issues not only in the tracker, but also in e-mail notifications, RSS, etc.

Chris_Z

Chris_Z

2017-03-07 06:53

reporter   ~0055949

the fixes are logically and visually grouped in the roadmap

...unless they belong to another sub-project. In that case all grouping is lost there. Selecting the parent project doesn't help either because 'atoms' in the list are separate projects regardless of their inter-project hierarchy, and despite the fact that they can and often do all share the same (i.e. inherited from parent) versions.

Of course it would be a nice feature request to get Roadmap and Change Log to work horizontally on the selected project level instead of mercilessly drilling downstream from the selected level. Should I create a separate issue for it?

dregad

dregad

2017-03-07 07:43

developer   ~0055952

Should I create a separate issue for it?

You can if you want to, but don't get your hopes too high of seeing it implemented anytime soon ;-)